from cpl_core.configuration.configuration_model_abc import ConfigurationModelABC


class BootLogServerSettings(ConfigurationModelABC):
    def __init__(self, id: int = None, login_message_channel_id: int = None):
        ConfigurationModelABC.__init__(self)

        self._id: int = 0 if id is None else id
        self._login_message_channel_id: int = 0 if login_message_channel_id is None else login_message_channel_id

    @property
    def id(self) -> int:
        return self._id

    @property
    def login_message_channel_id(self) -> int:
        return self._login_message_channel_id
